System Requirements for HotDocs Desktop Products

HotDocs Developer 11.3

HotDocs User 11.3

HotDocs Player 11.3

Please note the following requirements for hardware and software:

Hardware Requirements

HotDocs recommends you use at least the minimum hardware requirements your operating system demands.

Software Requirements

Prerequisites

The setup programs include the following prerequisite installs:

  • Microsoft .NET Framework 4.7.2 (web install)
  • Microsoft Visual C++ 2019 Redistributable Package (x64)
  • Microsoft Visual C++ 2019 Redistributable Package (x86)
  • Microsoft VSTO 2010 Runtime (x64)
  • Microsoft VSTO 2010 Runtime
  • MSXML 6.0 SP1

These need to be installed manually if using the MSI installers.

Optional Prerequisites

Only required if using Silverlight interviews:

  • Microsoft Silverlight 5 Runtime
  • Microsoft Silverlight 5 SDK

Requirements

Runtime Libraries

  • .NET Framework 4.7.2 or higher

Operating System

  • Windows 8.1 - 32-bit and 64-bit (2013)
  • Windows 10 - 32-bit and 64-bit (2018 onward)

Word Processor

  • Microsoft Word (32-bit and 64-bit) 2016 or 2019
  • Corel WordPerfect X6 or X7

Databases

If you plan to integrate HotDocs with a database, you must use one of the following databases:

  • Microsoft Access
  • Microsoft SQL Server
  • Oracle 8 and up

It is strongly recommended that you use the Oracle Provider for OLE DB (OraOLEDB) instead of the Microsoft OLE DB Provider for Oracle (MSDAORA)

  • Most other ODBC-compliant databases